#include<bits/stdc++.h>
using namespace std;
#define int long long
#define mid ((l + r) >> 1)
#define ls (now << 1)
#define rs ((now << 1) | 1)
#define mp make_pair

const int N = 100005;
const int inf = 2e17 + 1;
int S;
int n, s = 1, pr[N], tp;
void init()
{
	cin >> n;
	for(int i = 1; i <= 9; ++ i)
	{
		for(int j = i + 1; j <= 9; ++ j)
		{
			if((i * 10 + j) * (j * 10 + i) == n)
			{
				cout << i << j;
				return;
			}
		}
	}
	puts("no");
}
signed main()
{
	int T = 1;
//	cin >> T;
	while(T --)
		init();
	return 0;
}


